#ifndef __SPRITE_H__
#define __SPRITE_H__

#include <sps2lib.h>
#include <sps2tags.h>
#include <sps2regstructs.h>
#include <assert.h>
#include "PS2Defines.h"
#include "AddRegisters.h"


class CSprite
{
public:
	CSprite( int xTexture, int yTexture, int widthTexture, int heightTexture);
	~CSprite();

	void CSprite::setPos(int xPos, int yPos);
	void CSprite::setTexturePos(int xTexturePos, int yTexturePos);
	void CSprite::movePos(int xPos, int yPos);
	void CSprite::setVisible(bool isVisible);
	bool CSprite::getVisible(void);
	int CSprite::getXPos(void);
	int CSprite::getYPos(void);
	int CSprite::getWidth(void);
	int CSprite::getHeight(void);
	bool CSprite::inside(CSprite inSprite);

	void CSprite::addSpriteToGIFTag(char *& pMem, int Zvalue);


private:
	int m_xTexture, m_yTexture;
	int m_widthTexture, m_heightTexture;
	int m_xPos, m_yPos;
	int m_xTexturePos, m_yTexturePos;
	bool m_isVisible;
};

#endif